#ifndef FILEMANAGER_H
#define FILEMANAGER_H

#include "DataSet.h"
#include "Node.h"
#include "QtCore/QString.h"
#include "common.h"
#include "log4cxx/logger.h"

/**
  * FileManager, which loads the data files
  */
class FileManager
{
	static log4cxx::LoggerPtr logger;

public:
	FileManager();
	~FileManager();
	
	DataSet* loadData(QString *fileName);
};

#endif