#include <QApplication>
#include "MainWindow.h"

// include log4cxx header files.
#include "log4cxx/logger.h"
#include "log4cxx/basicconfigurator.h"
#include "log4cxx/propertyconfigurator.h"
#include "log4cxx/helpers/exception.h"

using namespace log4cxx;
using namespace log4cxx::helpers;

// Define a static logger variable so that it references the
// Logger instance named "HEB".
LoggerPtr logger(Logger::getLogger("HEB"));

int main(int argc, char *argv[])
{
	PropertyConfigurator::configure("log//log4cxx.properties");

	QApplication app(argc, argv);
	MainWindow *mainWindow = new MainWindow;
	mainWindow->show();
	return app.exec();
}